Subject: bug#13328: 24.2; Rmail does not properly decode MIME messages containing "From " lines or save such attachments correctly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Dec 2020 17:45:22 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 08 Dec 2020 14:34:09 +0100
> 
> > But Rmail uses "^From:?" as the regexp that identifies the beginning
> > of another message in an mbox file, so it must quote other "From"s to
> > avoid catastrophic failures later.  Or am I missing something?
> 
> If rmail uses that as the regexp, then I guess rmail will have to
> continue quoting all "From:?" lines.  But that's a pretty odd regexp to
> use to split an mbox file -- first of all, "^From:" is not an mbox
> separator at all, and neither is "Fromage".

AFAIK, mbox format requires that every new message begins with a line
that starts with "From " (sorry, I forgot the space in my previous
message).  See, for example, this page:

  https://www.loc.gov/preservation/digital/formats/fdd/fdd000383.shtml